Installing Qt for X11 Platforms

Qt for X11 has some requirements that are given in more detail in the Qt for X11 Requirements document.

Step 1: Installing the License File (commercial editions only)

If you have the commercial edition of Qt, install your license file as $HOME/.qt-license.

For the open source version you do not need a license file.

Step 2: Unpacking the Archive

Unpack the archive if you have not done so already. For example, if you have the qt-everywhere-opensource-src-4.8.6.tar.gz package, type the following commands at a command line prompt:

 cd /tmp
 gunzip qt-everywhere-opensource-src-4.8.6.tar.gz        # uncompress the archive
 tar xvf qt-everywhere-opensource-src-4.8.6.tar          # unpack it

This creates the directory /tmp/qt-everywhere-opensource-src-4.8.6 containing the files from the archive. We only support the GNU version of the tar archiving utility. Note that on some systems it is called gtar.

Step 3: Building the Library

To configure the Qt library for your machine type, run the ./configure script in the package directory.

By default, Qt is configured for installation in the /usr/local/Trolltech/Qt-4.8.6 directory, but this can be changed by using the -prefix option.

 cd /tmp/qt-everywhere-opensource-src-4.8.6
 ./configure

Type ./configure -help to get a list of all available options. The Configuration Options for Qt page gives a brief overview of these.

To create the library and compile all the demos, examples, tools, and tutorials, type:

 make

If -prefix is outside the build directory, you need to install the library, demos, examples, tools, and tutorials in the appropriate place. To do this (as root if necessary), type:

 make install

Note that on some systems the make utility is named differently, e.g. gmake. The configure script tells you which make utility to use.

Note: If you later need to reconfigure and rebuild Qt from the same location, ensure that all traces of the previous configuration are removed by entering the build directory and typing make confclean before running configure again.

Step 4: Set the Environment Variables

In order to use Qt, some environment variables needs to be extended.

 PATH               - to locate qmake, moc and other Qt tools

This is done like this:

In .profile (if your shell is bash, ksh, zsh or sh), add the following lines:

 PATH=/usr/local/Trolltech/Qt-4.8.6/bin:$PATH
 export PATH

In .login (in case your shell is csh or tcsh), add the following line:

 setenv PATH /usr/local/Trolltech/Qt-4.8.6/bin:$PATH

If you use a different shell, please modify your environment variables accordingly.

For compilers that do not support rpath you must also extended the LD_LIBRARY_PATH environment variable to include /usr/local/Trolltech/Qt-4.8.6/lib. On Linux with GCC this step is not needed.

That's all. Qt is now installed.

Qt Demos and Examples

If you are new to Qt, we suggest that you take a look at the demos and examples to see Qt in action. Run the Qt Examples and Demos either by typing qtdemo on the command line or through the desktop's Main menu.

You might also want to try the following links:

We hope you will enjoy using Qt. Good luck!

Notes provided by the Qt Community
Informative
  • 5

Votes: 5

Coverage: Qt library 4.8

Picture of tucnak tucnak

Ant Farmer
9 notes

Error while building on Ubuntu 12.*

Before building it on Ubuntu 12.* be sure you have these packages:

  1. libfontconfig1-dev libfreetype6-dev libx11-dev libxcursor-dev libxext-dev libxfixes-dev libxft-dev libxi-dev libxrandr-dev libxrender-dev

If you don’t have them (it usually happens if you are on the clear or semi-clear ubuntu) in your system and you try to build Qt you will get this error:

  1. Basic XLib functionality test failed! You might need to modify the include and library search paths by editing QMAKE_INCDIR_X11 and QMAKE_LIBDIR_X11 in <path>.

To avoid it check & install them with this command:

  1. sudo apt-get install libfontconfig1-dev libfreetype6-dev libx11-dev libxcursor-dev libxext-dev libxfixes-dev libxft-dev libxi-dev libxrandr-dev libxrender-dev

[Revisions]